Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.crypto.wss
Interface SignatureInfo

    public interface SignatureInfo

Nested Class Summary
`static interface` | `SignatureInfo.Reference`

Method Summary
`boolean` | `containsNode(Node n)` Checks if a part of the message represented by Node n is included under the signature.
`String` | `getC14NMethod()` Returns the URI of the canonicalization method used.
`Key` | `getKey()` Returns the Key the signature was created with.
`List` | `getReferences()` Returns a List of `Reference` objects corresponding to Reference elements in Signature element.
`String` | `getSignatureMethod()` Return s the URI of the signature method used.

Method Detail

### getKey

    Key getKey()

  Returns the Key the signature was created with.

  Returns:
    The Key.

### getReferences

    List getReferences()

  Returns a List of `Reference` objects corresponding to Reference elements in Signature element.

  Returns:
    List of References.

### getC14NMethod

    String getC14NMethod()

  Returns the URI of the canonicalization method used.

  Returns:
    The canonicalization method.

### getSignatureMethod

    String getSignatureMethod()

  Return s the URI of the signature method used.

  Returns:
    The signature method.

### containsNode

    boolean containsNode(Node n)

  Checks if a part of the message represented by Node n is included under the signature.

  Parameters:
    `n` - Node to be checked.
  Returns:
    true if Node is included under the signature, return false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD